zenilib: zenilib/jni/external/freetype2/src/autofit/afglobal.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions | Variables
afglobal.c File Reference
`#include "afglobal.h"`
`#include "afdummy.h"`
`#include "aflatin.h"`
`#include "afcjk.h"`
`#include "afindic.h"`
`#include "afpic.h"`
`#include "aferrors.h"`

Go to the source code of this file.

## Macros

#define | AF_DIGIT 0x80
#define | AF_SCRIPT_LIST_DEFAULT 2
#define | AF_SCRIPT_LIST_NONE 0x7F

## Typedefs

typedef struct AF_FaceGlobalsRec_ | AF_FaceGlobalsRec

## Functions

static FT_Error | af_face_globals_compute_script_coverage (AF_FaceGlobals globals)
| af_face_globals_free (AF_FaceGlobals globals)
| af_face_globals_get_metrics (AF_FaceGlobals globals, FT_UInt gindex, FT_UInt options, AF_ScriptMetrics *ametrics)
| af_face_globals_is_digit (AF_FaceGlobals globals, FT_UInt gindex)
| af_face_globals_new (FT_Face face, AF_FaceGlobals *aglobals)

## Variables

static AF_ScriptClass const | af_script_classes []

## Macro Definition Documentation

#define AF_DIGIT 0x80

Definition at line 57 of file afglobal.c.

Referenced by af_face_globals_compute_script_coverage(), and af_face_globals_is_digit().

#define AF_SCRIPT_LIST_DEFAULT 2

Definition at line 53 of file afglobal.c.

Referenced by af_face_globals_compute_script_coverage().

#define AF_SCRIPT_LIST_NONE 0x7F

Definition at line 55 of file afglobal.c.

Referenced by af_face_globals_compute_script_coverage(), and af_face_globals_get_metrics().

## Typedef Documentation

typedef struct AF_FaceGlobalsRec_ AF_FaceGlobalsRec

## Function Documentation

static FT_Error af_face_globals_compute_script_coverage | ( | AF_FaceGlobals | globals | ) |

static

Definition at line 79 of file afglobal.c.

References AF_DIGIT, AF_SCRIPT_CLASSES_GET, AF_SCRIPT_LIST_DEFAULT, AF_SCRIPT_LIST_NONE, FT_FaceRec_::charmap, error, AF_Script_UniRangeRec_::first, FT_Get_Char_Index(), FT_Get_Next_Char(), FT_MEM_SET, FT_Select_Charmap(), FT_Set_Charmap(), i, AF_Script_UniRangeRec_::last, and NULL.

Referenced by af_face_globals_new().

af_face_globals_free | ( | AF_FaceGlobals | globals | ) |

Definition at line 211 of file afglobal.c.

References AF_SCRIPT_CLASSES_GET, AF_SCRIPT_MAX, FT_ASSERT, FT_FREE, and NULL.

Referenced by af_face_globals_new(), and af_loader_reset().

af_face_globals_get_metrics | ( | AF_FaceGlobals | globals,
|  | FT_UInt | gindex,
|  | FT_UInt | options,
|  | AF_ScriptMetrics * | ametrics
| ) |  |

Definition at line 245 of file afglobal.c.

References AF_SCRIPT_CLASSES_GET, AF_SCRIPT_LIST_NONE, AF_ScriptMetricsRec_::clazz, error, FT_ALLOC, FT_FREE, and NULL.

Referenced by af_loader_load_glyph().

af_face_globals_is_digit | ( | AF_FaceGlobals | globals,
|  | FT_UInt | gindex
| ) |  |

Definition at line 309 of file afglobal.c.

References AF_DIGIT, and FT_Bool.

Referenced by af_loader_load_g().

af_face_globals_new | ( | FT_Face | face,
|  | AF_FaceGlobals * | aglobals
| ) |  |

Definition at line 180 of file afglobal.c.

References af_face_globals_compute_script_coverage(), af_face_globals_free(), error, FT_ALLOC, NULL, and sizeof().

Referenced by af_loader_reset().

## Variable Documentation

AF_ScriptClass const af_script_classes[]

static

Initial value:
=
{
&af_dummy_script_class,
&af_latin_script_class,
&af_cjk_script_class,
&af_indic_script_class,
NULL
}
NULL
#define NULL
Definition: ftobjs.h:61

Definition at line 38 of file afglobal.c.